{% if total is not defined or total > 0 %}
{% for product in products %}
    <div class="product-item{% if product.id in cartIds %} product-item_incart{% endif %}">
        <div class="product-item__inner">
            <div class="product-item__top">
                <div class="product-item__image">
                    <a href="{{ path('productsItem', {'slug' : product.slug}) }}">
                        {% if product.productGallery.count > 0 %}
                            <img src="{{ asset('assets/uploads/images/' ~ product.productGallery.get(0).filename|visual) | imagine_filter('medium')}}"/>
                        {% else %}
                            <img src="{{ asset('assets/img/cup-1.svg') }}"/>
                        {% endif %}
                    </a>
                </div>
            </div>
            <div class="product-item__info">
                <div class="product-item__category">
                    <a href="{{ path('catalogItem', {'path' : product.category.id|path}) }}">{{ product.category.name }}</a>
                    <p><span>(Арт: {{ product.vendorCode }})</span></p>
                </div>
                <div class="product-item__title"><a href="{{ path('productsItem', {'slug' : product.slug}) }}">{{ product.name }}</a></div>
                <div class="product-item__price">₽ {{ product.price }}</div>
                <div class="product-item__action">
                    <div class="btn fill {% if product.id in cartIds %}incart{% endif %}" data-cart-added="{% if product.id in cartIds %}true{% else %}false{% endif %}" data-cart-id="{{ product.id }}">{% if product.id in cartIds %}Убрать из корзины{% else %}Добавить в корзину{% endif %}</div>
                </div>
            </div>
        </div>
    </div>
{% endfor %}
{% else %}
    <div class="article-content">
        <h3>По указанным параметрам сувениры не нейдены.</h3>
        <p>Попробуйте изменить параметры фильтров.</p>
    </div>
{% endif %}